Zercurity data services
  • Summary
  • Applications (11)
  • Packages (0)
  • Vulnerabilities (12)

linux-perf-4.9

Hashes
Performance analysis tools for Linux 4.9 This package contains the 'perf' performance analysis tools for Linux kernel version 4.9. The linux-base package contains a 'perf' command which will invoke the appropriate version for the running kernel.
  • SHA256: 8ef37d6b41ced5ff8e9b0a3559221e143457733afb469ff0a98654aac3574905
  • SHA1: 543d557fdc98a82f6393da4c63651be11ba8eeb8
  • MD5: 014b10241dcfe22cacdda23f69007a77
Information
  • Version: 4.9.189-3+deb9u1
  • Filename: linux-perf-4.9_4.9.189-3+deb9u1_i386.deb
  • Size: 3374
  • Type: DEB
  • Source: linux
  • Architecture: I386
  • URL: https://www.kernel.org/
  • Owner: Debian Kernel Team <debian-kernel@lists.debian.org>
  • Dependencies: libaudit1 (>= 1:2.2.1), libbabeltrace-ctf1 (>= 1.5.0~rc1), libc6 (>= 2.8), libdw1 (>= 0.157), libelf1 (>= 0.144), libnuma1 (>= 2.0.11), libperl5.24 (>= 5.24.0), libpython2.7 (>= 2.7), libslang2 (>= 2.2.4), libunwind8, zlib1g (>= 1:1.1.4)

Applications

NameTypeArchSizeRisk
plugin_mac80211.so
/usr/lib/traceevent_4.9/plugins/plugin_mac80211.so
50360
plugin_jbd2.so
/usr/lib/traceevent_4.9/plugins/plugin_jbd2.so
49080
plugin_xen.so
/usr/lib/traceevent_4.9/plugins/plugin_xen.so
50560
plugin_function.so
/usr/lib/traceevent_4.9/plugins/plugin_function.so
54160
plugin_kvm.so
/usr/lib/traceevent_4.9/plugins/plugin_kvm.so
144200
plugin_sched_switch.so
/usr/lib/traceevent_4.9/plugins/plugin_sched_switch.so
91400
plugin_hrtimer.so
/usr/lib/traceevent_4.9/plugins/plugin_hrtimer.so
49160
plugin_scsi.so
/usr/lib/traceevent_4.9/plugins/plugin_scsi.so
50120
plugin_kmem.so
/usr/lib/traceevent_4.9/plugins/plugin_kmem.so
50360
plugin_cfg80211.so
/usr/lib/traceevent_4.9/plugins/plugin_cfg80211.so
49040
perf_4.9
/usr/bin/perf_4.9
23249520

Vulnerabilities

NameRiskSourceFixed
CVE-2018-1220765DSA
DSA-4564-1
libcpupower1
4.9.189-3+deb9u2
CVE-2019-015455DSA
DSA-4564-1
libcpupower1
4.9.189-3+deb9u2
CVE-2019-015578DSA
DSA-4564-1
libcpupower1
4.9.189-3+deb9u2
CVE-2019-1113565DSA
DSA-4564-1
libcpupower1
4.9.189-3+deb9u2
CVE-2018-1220765DSA
DSA-4564-1
hyperv-daemons
4.9.189-3+deb9u2
CVE-2019-015455DSA
DSA-4564-1
hyperv-daemons
4.9.189-3+deb9u2
CVE-2019-015578DSA
DSA-4564-1
hyperv-daemons
4.9.189-3+deb9u2
CVE-2019-1113565DSA
DSA-4564-1
hyperv-daemons
4.9.189-3+deb9u2
CVE-2018-1220765DSA
DSA-4564-1
linux-perf-4.9
4.9.189-3+deb9u2
CVE-2019-015455DSA
DSA-4564-1
linux-perf-4.9
4.9.189-3+deb9u2
CVE-2019-015578DSA
DSA-4564-1
linux-perf-4.9
4.9.189-3+deb9u2
CVE-2019-1113565DSA
DSA-4564-1
linux-perf-4.9
4.9.189-3+deb9u2

Raw Object

{
  "sha256": "8ef37d6b41ced5ff8e9b0a3559221e143457733afb469ff0a98654aac3574905",
  "sha1": "543d557fdc98a82f6393da4c63651be11ba8eeb8",
  "md5": "014b10241dcfe22cacdda23f69007a77",
  "type": "DEB",
  "arch": "I386",
  "name": "linux-perf-4.9",
  "filename": "linux-perf-4.9_4.9.189-3+deb9u1_i386.deb",
  "size": 3374,
  "description": "Performance analysis tools for Linux 4.9\nThis package contains the 'perf' performance analysis tools for Linux\nkernel version 4.9.\n\nThe linux-base package contains a 'perf' command which will invoke the\nappropriate version for the running kernel.",
  "url": "https://www.kernel.org/",
  "version": "4.9.189-3+deb9u1",
  "source": "linux",
  "owner": "Debian Kernel Team <debian-kernel@lists.debian.org>",
  "dependencies": "libaudit1 (>= 1:2.2.1), libbabeltrace-ctf1 (>= 1.5.0~rc1), libc6 (>= 2.8), libdw1 (>= 0.157), libelf1 (>= 0.144), libnuma1 (>= 2.0.11), libperl5.24 (>= 5.24.0), libpython2.7 (>= 2.7), libslang2 (>= 2.2.4), libunwind8, zlib1g (>= 1:1.1.4)",
  "applications": [
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_mac80211.so",
      "sha256": "937630c6bd0fdc16ffea56467392a0bfc4db1e0b3aa5a1ee4fe2289b24982f5c",
      "sha1": "e16ad701b969373aa0d644224dcfd2c339a2e9bd",
      "md5": "4af1d7483325aab7f5742de94d4be737",
      "name": "plugin_mac80211.so",
      "size": 5036,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_jbd2.so",
      "sha256": "f874944a3981354efb1ced0905f8ff8d98a13a9d766329a47fbbf535fa92386a",
      "sha1": "c2571ee1ab87a08c6a94f5783170b1a3ca1af84c",
      "md5": "089170495a44456ed861005108843f26",
      "name": "plugin_jbd2.so",
      "size": 4908,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_xen.so",
      "sha256": "701ad7340609116eabe3ed6b86c6887f20ccc2d08d851ab2de5ee3757c05f4a8",
      "sha1": "12aa835cb7bf0d6ee6add9b508b37580017db71e",
      "md5": "30da48b7ba4f28143cbfce6a8a49dbdc",
      "name": "plugin_xen.so",
      "size": 5056,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_function.so",
      "sha256": "ee3f112d9edf0676ea7f8257d806e9831f00e3c7b2562b7a57f490c2fc523e6f",
      "sha1": "406bcb447e4dc13091f2e9eefebc9a2e430e53ec",
      "md5": "a5082ec82a8a454be8700ab7ea0ee1be",
      "name": "plugin_function.so",
      "size": 5416,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_kvm.so",
      "sha256": "c63accf0cf05be2ab292e333247a5d9b6e99e4cd48b489d4df09a56037c5b829",
      "sha1": "353f106114f436c9462ef021a98401186731be52",
      "md5": "371ad04238ea629dc4d7cd5a6aa6ffbb",
      "name": "plugin_kvm.so",
      "size": 14420,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_sched_switch.so",
      "sha256": "31d3c1982f6a2bb9393cf22898d5f01d781002d59d3308c8d0a1f875ff403c0a",
      "sha1": "56c23e8e62ac400db391ec26cf5136a54a06a4f1",
      "md5": "c7b8b9ddcc9a09c37c4e84eeec2366ce",
      "name": "plugin_sched_switch.so",
      "size": 9140,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_hrtimer.so",
      "sha256": "77d208ee5b3a38b041690b9dd462688c1ed11f07d35b710362577faa7799ca17",
      "sha1": "17bd2e40135ace2adb9616a7cb55da702a2c7d2d",
      "md5": "3ea38d43903d561ff45e23db47529def",
      "name": "plugin_hrtimer.so",
      "size": 4916,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_scsi.so",
      "sha256": "7e6ab096f9b54034ce4a0bb0669bf75ef342c6e7e09e6c6f05b25bd6e8af3667",
      "sha1": "fa416b63e4aca9e8962f5607239c6ce7bef81d81",
      "md5": "8c4205725c3ddf9010124ff68c6816d5",
      "name": "plugin_scsi.so",
      "size": 5012,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_kmem.so",
      "sha256": "04e649c1cb7b9d202e206b4a7c3165bad65a752e224b8d642f0885288e2146f1",
      "sha1": "3aac30b6d417f59d9ba89785b1ea0bbaf3c69846",
      "md5": "755b0fd64d4d2de51a2447a307e2d794",
      "name": "plugin_kmem.so",
      "size": 5036,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/traceevent_4.9/plugins/plugin_cfg80211.so",
      "sha256": "748b00cb8ab62fcea713a642a7841a17bee2afe5ce87c2e4fcfe4a160fd1c49f",
      "sha1": "3986f3b48311258a0c58bbf4a9d6783e9329a2cf",
      "md5": "984d3f5ce1b73b5be613161370e86c6b",
      "name": "plugin_cfg80211.so",
      "size": 4904,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/bin/perf_4.9",
      "sha256": "500ea5a712b0a2177b198516081fe8bbf025b3e276d229ee876d6112ac2eec07",
      "sha1": "832f047666449d59cf78170f46976a47cbf63435",
      "md5": "25d2b225eb810e1390ce73bbf6759b26",
      "name": "perf_4.9",
      "size": 2324952,
      "description": null,
      "package": 937217,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-06T23:29:43+00:00",
      "updated_at": "2021-03-06T23:29:43+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2018-12207",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "16a720f93065e23c50ebf258bf5f856646fc3c43e7923a994944a030e31ae785",
        "name": "libcpupower1",
        "version": "4.9.189-3+deb9u2",
        "filename": "libcpupower1_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-08T10:00:50+00:00",
      "updated_at": "2021-03-08T10:00:50+00:00"
    },
    {
      "name": "CVE-2019-0154",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "16a720f93065e23c50ebf258bf5f856646fc3c43e7923a994944a030e31ae785",
        "name": "libcpupower1",
        "version": "4.9.189-3+deb9u2",
        "filename": "libcpupower1_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-08T10:00:51+00:00",
      "updated_at": "2021-03-08T10:00:51+00:00"
    },
    {
      "name": "CVE-2019-0155",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "16a720f93065e23c50ebf258bf5f856646fc3c43e7923a994944a030e31ae785",
        "name": "libcpupower1",
        "version": "4.9.189-3+deb9u2",
        "filename": "libcpupower1_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-08T10:00:52+00:00",
      "updated_at": "2021-03-08T10:00:52+00:00"
    },
    {
      "name": "CVE-2019-11135",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "16a720f93065e23c50ebf258bf5f856646fc3c43e7923a994944a030e31ae785",
        "name": "libcpupower1",
        "version": "4.9.189-3+deb9u2",
        "filename": "libcpupower1_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-08T10:00:53+00:00",
      "updated_at": "2021-03-08T10:00:53+00:00"
    },
    {
      "name": "CVE-2018-12207",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "901b0399c12fb269c8cdd8abf04293dcba6c82fe71b0ec361cd5b7f24cda54ae",
        "name": "hyperv-daemons",
        "version": "4.9.189-3+deb9u2",
        "filename": "hyperv-daemons_4.9.189-3+deb9u2_amd64.deb"
      },
      "created_at": "2021-03-09T08:06:33+00:00",
      "updated_at": "2021-03-09T08:06:33+00:00"
    },
    {
      "name": "CVE-2019-0154",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "901b0399c12fb269c8cdd8abf04293dcba6c82fe71b0ec361cd5b7f24cda54ae",
        "name": "hyperv-daemons",
        "version": "4.9.189-3+deb9u2",
        "filename": "hyperv-daemons_4.9.189-3+deb9u2_amd64.deb"
      },
      "created_at": "2021-03-09T08:06:34+00:00",
      "updated_at": "2021-03-09T08:06:34+00:00"
    },
    {
      "name": "CVE-2019-0155",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "901b0399c12fb269c8cdd8abf04293dcba6c82fe71b0ec361cd5b7f24cda54ae",
        "name": "hyperv-daemons",
        "version": "4.9.189-3+deb9u2",
        "filename": "hyperv-daemons_4.9.189-3+deb9u2_amd64.deb"
      },
      "created_at": "2021-03-09T08:06:35+00:00",
      "updated_at": "2021-03-09T08:06:35+00:00"
    },
    {
      "name": "CVE-2019-11135",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "901b0399c12fb269c8cdd8abf04293dcba6c82fe71b0ec361cd5b7f24cda54ae",
        "name": "hyperv-daemons",
        "version": "4.9.189-3+deb9u2",
        "filename": "hyperv-daemons_4.9.189-3+deb9u2_amd64.deb"
      },
      "created_at": "2021-03-09T08:06:35+00:00",
      "updated_at": "2021-03-09T08:06:35+00:00"
    },
    {
      "name": "CVE-2018-12207",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "28322088f7dd47555391b32dd92ff22b9b9942bb5f32b5bf5f6192dac74e9e08",
        "name": "linux-perf-4.9",
        "version": "4.9.189-3+deb9u2",
        "filename": "linux-perf-4.9_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-21T07:49:54+00:00",
      "updated_at": "2021-03-21T07:49:54+00:00"
    },
    {
      "name": "CVE-2019-0154",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "28322088f7dd47555391b32dd92ff22b9b9942bb5f32b5bf5f6192dac74e9e08",
        "name": "linux-perf-4.9",
        "version": "4.9.189-3+deb9u2",
        "filename": "linux-perf-4.9_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-21T07:49:56+00:00",
      "updated_at": "2021-03-21T07:49:56+00:00"
    },
    {
      "name": "CVE-2019-0155",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "28322088f7dd47555391b32dd92ff22b9b9942bb5f32b5bf5f6192dac74e9e08",
        "name": "linux-perf-4.9",
        "version": "4.9.189-3+deb9u2",
        "filename": "linux-perf-4.9_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-21T07:49:57+00:00",
      "updated_at": "2021-03-21T07:49:57+00:00"
    },
    {
      "name": "CVE-2019-11135",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4564-1",
      "fixed": {
        "sha256": "28322088f7dd47555391b32dd92ff22b9b9942bb5f32b5bf5f6192dac74e9e08",
        "name": "linux-perf-4.9",
        "version": "4.9.189-3+deb9u2",
        "filename": "linux-perf-4.9_4.9.189-3+deb9u2_i386.deb"
      },
      "created_at": "2021-03-21T07:49:59+00:00",
      "updated_at": "2021-03-21T07:49:59+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2019-09-23T14:44:52+00:00",
  "updated_at": "2021-03-06T23:29:43+00:00",
  "deleted_at": null
}